package wa.server.plugin;

public interface WAService {

	public String getName();

	/**
	 * @return a service status object or null if it is not possible to check status
	 */
	public WAServiceStatus getStatus();

	/**
	 * @return a service log object or null if it is not possible to read logs
	 */
	public WALog getLog();

    /**
     * @return a installer object that will install the service or null if the installer is not available
     */
    public WAInstaller getInstaller();

	/**
	 * @return a array of configuration objects
	 */
	public WAServiceConfig[] getConfigurations();
}
